Bug 116913 - After Scaling, Advanced button does not function
Summary: After Scaling, Advanced button does not function
Status: RESOLVED FIXED
Alias: None
Product: krdc
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: OpenSUSE Linux
: NOR normal with 20 votes (vote)
Target Milestone: ---
Assignee: Jaison Lee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-11-22 22:44 UTC by 20120808_bugs.kde.org
Modified: 2006-07-16 12:18 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description 20120808_bugs.kde.org 2005-11-22 22:44:35 UTC
Version:            (using KDE KDE 3.5.0)
Installed from:    SuSE RPMs
Compiler:          gcc (GCC) 4.0.2 20050901 (prerelease) (SUSE Linux) 
OS:                Linux

After connecting to a VNC (UltraVNC 1.0.1 on WindowsXP) server using KRDC, I usually enable the "Advanced/Always Show Local Cursor" option.

Sometimes I also click the "Scale" option, the resize the window so that the entire thing fits on my desktop.

However, I have noticed, that after clicking the "Scale", clicking on the Advanced button does nothing. That is, no longer do I see the "View Only" option or "Always Show Local Cursor" option.

After starting the application again, I can again click the Advanced button, seeing both options.
After starting the application, I enter fullscreen mode. At that time I have access to the two options on the Advanced button.

An interesting effect, starting the program, clicking Scale, right away, disables the two options in the Advanced button.
Then I enter fullscreen by clicking the fullscreen button. While in fullscreen mode I can again access the two options in the Advanced button. Then I exit fullscreen mode, and, surprisingly, I can again access the two options in the Advanced button.

But yes, if i then click Scale (to turn it off) then click it again (to turn it on), no longer can I access the options in the Advanced button ... (without the workaround that I just mentioned - fullscreen, clicking advanced button, exiting fullscreen mode).
Comment 1 Peter 2006-04-06 10:08:52 UTC
Confirmed here, on Kubuntu 5.10, krdc 4:3.4.3-0ubuntu1, connecting to a Windows XP machine running UltraVNC 1.0.1.

Easiest work-around is to enable and then disable fullscreen mode, this re-enables the Advanced drop-down menu.
Comment 2 David Lichterman 2006-05-06 19:01:29 UTC
Confirmed as well on gentoo using KDE 3.5.2.
Comment 3 Jaison Lee 2006-05-06 21:05:20 UTC
Please be aware KRDC is currently unmaintained, and the future of the program is uncertain.
Comment 4 Andreas Kling 2006-07-16 12:18:48 UTC
SVN commit 562938 by kling:

Don't delete the "Advanced" popup menu without intentions of recreating it.

BUG: 116913


 M  +5 -4      krdc.cpp  


--- branches/KDE/3.5/kdenetwork/krdc/krdc.cpp #562937:562938
@@ -553,10 +553,6 @@
 		m_oldResolution = Resolution();
 	}
 
-	if (m_popup) {
-		m_popup->deleteLater();
-		m_popup = 0;
-	}
 	if (m_fsToolbar) {
 		m_fsToolbar->hide();
 		m_fsToolbar->deleteLater();
@@ -595,6 +591,11 @@
 		QWhatsThis::add(skButton, i18n("This option allows you to send special key combinations like Ctrl-Alt-Del to the remote host."));
 		t->addConnection(2, SIGNAL(clicked()), m_keyCaptureDialog, SLOT(execute()));
 
+		if (m_popup) {
+			m_popup->deleteLater();
+			m_popup = 0;
+		}
+
 		m_popup = createPopupMenu(t);
 		t->insertButton("configure", 3, m_popup, true, i18n("Advanced"));
 		KToolBarButton *advancedButton = t->getButton(3);